package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.domain.request.LandRequest;
import com.caliverse.admin.dynamodb.domain.atrrib.BuildingAttrib;
import com.caliverse.admin.dynamodb.domain.doc.BuildingDoc;
import com.caliverse.admin.dynamodb.entity.DynamodbOperationResult;

public interface BuildingRepository extends DynamoDBRepository<BuildingDoc> {
    BuildingAttrib findBuildingAttrib(Integer buildingId);
    void insertBuilding(LandRequest landRequest);
    void updateBuilding(LandRequest landRequest);
    DynamodbOperationResult initBuildingOwner(int buildingId);
    DynamodbOperationResult initBuildingDesc(int buildingId);
}
